<mat-progress-bar mode="indeterminate" *ngIf="carga"></mat-progress-bar>


<!-- <div class="container">

  <div class="banner">
  </div>
  <div class="logoD">
      <img src="../../../../assets/img/Recurso 1.png" alt="logo" class="logo">
  </div>
  <div class="izq">
      <button class="user"  *ngIf="mostrar" routerLink="/dashboard/usuario">
          usuario: {{ userName }}
      </button>
      <a [routerLink]="['/registrar']" (click)="cargaM()">Registrarse</a>
      <a [routerLink]="['/login']">Iniciar Sesión <i class="fa-solid fa-right-to-bracket"></i></a>
  </div>

</div> -->

<div class="container">
    <div class="imagen">
        <img src="../../../../assets/img/Recurso 1.png" alt="logo">
    </div>

    <div class="routes">
      <div>
        <button class="user"  *ngIf="mostrar" routerLink="/dashboard/usuario">
           Usuario: {{ userName }}
        </button>
        <a [routerLink]="['/registrar']" (click)="cargaM()">Registrarse</a>
        <a [routerLink]="['/login']">Iniciar Sesión <i class="fa-solid fa-right-to-bracket"></i></a>
      </div>
    </div>
</div>